﻿/*VIEWER CSS Start*/
.viewer {
    width: 100%;
    height: 100%;
    display: flex;
    background-color: #fff;
    padding: 4px;
}

.viewer-left {
    width: 450px;
    height: 100%;
    position: relative;
    background-color: #f4f4f4;
    border-right: 1px solid #fff;
}

.viewer-right {
    width: 1px;
    flex-grow: 1;
    display: flex;
    position: relative;
    padding-top: 0px;
    border-left: 1px solid #fff;
}

/*@media screen and (-webkit-min-device-pixel-ratio:0) and (min-resolution:.001dpcm) {
    .viewer-right::after {
        position: absolute;
        top: 40px;
        left: 65px;
        width: calc(50% - 220px);
        height: 20px;
        background-color: #323639;
        content: '';
    }
}
*/
.submission-outline-list {
    height: 0;
    overflow: hidden;
    list-style-type: disc;
    margin-left: 10px;
}

    .submission-outline-list li {
        /* list-style-type: disc;*/
        margin-left: 10px;
    }

.submission-outline.show-list .submission-outline-list {
    height: auto;
}
/*.submission-outline-heading::before {
    font-family: fontawesome;
    content: "\f0da";
    position: absolute;
}
.submission-outline.show-list .submission-outline-heading::before {
    font-family: fontawesome;
    content: "\f0d7";
}
.submission-outline-heading a {
    margin-left: 10px;
}*/
.submission-outline-heading i {
    float: left;
    margin-top: 4px;
    cursor: pointer;
}

.submission-outline.show-list .submission-outline-heading i {
    float: left;
    margin-top: 4px;
    transform: rotate(90deg);
}

.submission-outline {
    font-size: 13px;
}

    .submission-outline li a {
        margin-bottom: 0;
        color: #000;
        text-decoration: none;
        display: inline-block;
        width: 96%;
        padding: 3px 5px;
        border-radius: 3px;
    }

        .submission-outline li a:hover,
        .submission-outline li a.active {
            background-color: #ededed;
        }


.viewer-head-wrap {
    height: 48px;
    border-bottom: 4px solid #fff;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    margin: 0 5px;
}

.viewer-nav {
    height: calc(100% - 48px);
}

.vtd {
    border-top: 2px solid #676767;
    border-bottom: 2px solid #676767;
    padding: 5px 0;
}

    .vtd p {
        margin-bottom: 5px;
    }

.vt-txt {
    position: relative;
    cursor: pointer;
    font-weight: bold;
}

    .vt-txt:before {
        font-family: fontawesome;
        content: "\f067";
        color: #676767;
        font-weight: bold;
        padding: 2px;
        border-radius: 2px;
        font-size: 12px;
        margin-left: 0;
        margin-right: 2px;
        width: 14px;
        height: 18px;
        text-align: center;
        line-height: 16px;
    }

.vt-item.open > .vt-txt:before {
    content: "\f068";
}

.vt-values {
    display: none;
}

.vt-item.open > .vt-values {
    display: block;
    padding-left: 20px;
}

.viewer-head-btn {
    width: 104px;
    height: 32px;
    background-color: #fff;
    margin: 0 0 2px 2px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    cursor: pointer;
    font-size: 12px;
}

    .viewer-head-btn.current {
        background-color: #fbdea8;
    }

    .viewer-head-btn i {
        margin-right: 3px;
    }

.folder-lock, .v-nav-item i.folder-lock {
    margin-right: 0;
    font-size: 10px;
    margin-left: 2px;
    color: #4e9bea;
    width: 10px;
}

.v-nav-l-1-txt {
    min-height: 18px;
    color: #676767;
    padding: 0;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
    /*position: relative;*/
}

.v-nav-l-2-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 14px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-l-3-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 28px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-l-4-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 42px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-l-5-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 56px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-l-6-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 70px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-l-7-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 84px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-l-8-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 98px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-l-9-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 112px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-l-10-txt {
    min-height: 18px;
    color: #676767;
    padding: 0 0 0 126px;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
}

.v-nav-item {
    min-height: 12px;
    color: #676767;
    display: flex;
    align-items: flex-start;
    font-size: 12px;
    cursor: pointer;
    line-height: 12px;
}

.selected-file {
    background-color: #fbdea8 !important;
}

.v-nav-item i {
    font-size: 14px;
    margin-right: 2px;
    margin-left: 4px;
    width: 14px;
}

.v-nav-l-1-wrap .v-nav-item {
    padding: 2px 0 0 24px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-2-wrap .v-nav-item {
    padding: 2px 0 0 44px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-3-wrap .v-nav-item {
    padding: 2px 0 0 56px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-4-wrap .v-nav-item {
    padding: 2px 0 0 72px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-5-wrap .v-nav-item {
    padding: 2px 0 0 88px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-6-wrap .v-nav-item {
    padding: 2px 0 0 100px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-7-wrap .v-nav-item {
    padding: 2px 0 0 114px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-8-wrap .v-nav-item {
    padding: 2px 0 0 128px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-9-wrap .v-nav-item {
    padding: 2px 0 0 142px;
    cursor: pointer;
    margin: 2px 0;
}

.v-nav-l-10-wrap .v-nav-item {
    padding: 2px 0 0 156px;
    cursor: pointer;
    margin: 2px 0;
}

.first-node::before,
.v-nav-l-1-txt::before,
.v-nav-l-2-txt::before,
.v-nav-l-3-txt::before,
.v-nav-l-4-txt::before,
.v-nav-l-5-txt::before,
.v-nav-l-6-txt::before,
.v-nav-l-7-txt::before,
.v-nav-l-8-txt::before,
.v-nav-l-9-txt::before,
.v-nav-l-10-txt::before {
    font-family: fontawesome;
    content: "\f0da";
    color: #676767;
    font-weight: bold;
    float: left;
    /*padding: 2px;*/
    border-radius: 2px;
    font-size: 12px;
    margin-left: 0;
    margin-right: 2px;
    width: 10px;
    height: 18px;
    text-align: center;
    line-height: 16px;
}

.first-node {
    cursor: pointer;
}

.v-nav-l-1-wrap.open .v-nav-l-1-txt::before,
.v-nav-l-2-wrap.open .v-nav-l-2-txt::before,
.v-nav-l-3-wrap.open .v-nav-l-3-txt::before,
.v-nav-l-4-wrap.open .v-nav-l-4-txt::before,
.v-nav-l-5-wrap.open .v-nav-l-5-txt::before,
.v-nav-l-6-wrap.open .v-nav-l-6-txt::before,
.v-nav-l-7-wrap.open .v-nav-l-7-txt::before,
.v-nav-l-8-wrap.open .v-nav-l-8-txt::before,
.v-nav-l-9-wrap.open .v-nav-l-9-txt::before,
.v-nav-l-10-wrap.open .v-nav-l-10-txt::before,
.v-nav-parent.open .first-node::before {
    content: '\f0d7';
}

.v-nav-l-2,
.v-nav-l-3,
.v-nav-l-4,
.v-nav-l-5,
.v-nav-l-6,
.v-nav-l-7,
.v-nav-l-8,
.v-nav-l-9,
.v-nav-l-10,
.v-nav-list {
    height: 0;
    overflow: hidden;
    transition: all 0.5s;
}

.v-nav-l-1-wrap.open .v-nav-l-2,
.v-nav-l-2-wrap.open .v-nav-l-3,
.v-nav-l-3-wrap.open .v-nav-l-4,
.v-nav-l-4-wrap.open .v-nav-l-5,
.v-nav-l-5-wrap.open .v-nav-l-6,
.v-nav-l-6-wrap.open .v-nav-l-7,
.v-nav-l-7-wrap.open .v-nav-l-8,
.v-nav-l-8-wrap.open .v-nav-l-9,
.v-nav-l-9-wrap.open .v-nav-l-10,
.v-nav-l-1-wrap.open > .v-nav-list,
.v-nav-l-2-wrap.open > .v-nav-list,
.v-nav-l-3-wrap.open > .v-nav-list,
.v-nav-l-4-wrap.open > .v-nav-list,
.v-nav-l-5-wrap.open > .v-nav-list,
.v-nav-l-6-wrap.open > .v-nav-list,
.v-nav-l-7-wrap.open > .v-nav-list,
.v-nav-l-8-wrap.open > .v-nav-list,
.v-nav-l-9-wrap.open > .v-nav-list,
.v-nav-l-10-wrap.open > .v-nav-list {
    height: auto;
}

.last_child {
    padding-left: 26px;
}

    .last_child::before {
        display: none !important;
    }

.last_child-2 {
    padding-left: 40px;
}

    .last_child-2::before {
        display: none !important;
    }

.v-nav-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.viewer-handle-bar {
    height: 40px;
    width: 10px;
    cursor: e-resize;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    /*right: -10px;*/
    top: 50%;
    margin-top: -20px;
}

    .viewer-handle-bar span {
        width: 6px;
        height: 6px;
        background-color: #d7d3d3;
        border-radius: 50%;
        display: block;
        margin: 3px 0;
    }

.folder_txt {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    width: 1px;
    padding-left: 3px;
    flex-grow: 1;
}

.folder-txt-keyword {
    font-size: 9px;
    display: block;
    line-height: 10px;
}

.v-nav-parent-txt {
    color: #696969;
    font-size: 12px;
}

.v-nav-main-wrap {
    display: none;
    padding-left: 12px;
}

.v-nav-parent.open .v-nav-main-wrap {
    display: block;
}

/*.v-nav-l-1-txt .folder_ver {
    width: 40px;
}
.v-nav-l-1-txt .folder_txt {
    width: calc(100% - 70px);
}
.v-nav-l-2-txt .folder_ver {
    width: 50px;
}
.v-nav-l-2-txt .folder_txt {
    width: calc(100% - 70px);
}
.v-nav-l-3-txt .folder_ver {
    width: 60px;
}
.v-nav-l-3-txt .folder_txt {
    width: calc(100% - 90px);
}
.v-nav-l-4-txt .folder_ver {
    width: 60px;
}
.v-nav-l-4-txt .folder_txt {
    width: calc(100% - 90px);
}
.v-nav-l-5-txt .folder_ver {
    width: 66px;
}
.v-nav-l-5-txt .folder_txt {
    width: calc(100% - 90px);
}
.v-nav-l-6-txt .folder_ver {
    width: 70px;
}
.v-nav-l-6-txt .folder_txt {
    width: calc(100% - 90px);
}
 */
.app_head {
    color: #676767;
    font-size: 18px;
    font-weight: bold;
    line-height: 24px;
    margin-right: auto;
}

.file-view-panel {
    width: calc(100% - 450px);
    /* width: 1px;
    flex-grow: 1;*/
    height: 100%;
}

.file-list-pane {
    height: 100%;
    display: flex;
    flex-direction: column;
    /*align-items: stretch;*/
}

.viewer-folder-title {
    padding: 14px 10px;
    /*min-height: 44px;*/
    font-weight: bold;
    border-bottom: 1px solid #f4f4f4;
    flex: 0 1 auto;
}

.viewer-file-list-wrap {
    height: calc(100% - 45px);
    flex: 1 1 auto;
}

.file-symbol {
    font-size: 80px;
    margin-bottom: 10px;
}

.file-symbol-txt {
    font-size: 12px;
    color: #676767;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    width: 1px;
    flex-grow: 1;
}

.viewer-file-list {
    display: flex;
    flex-wrap: wrap;
}

.viewer-file-list-item {
    width: 22%;
    text-align: center;
    background-color: #f5f5f5;
    padding: 10px 10px 5px;
    margin: 10px;
    cursor: pointer;
}

    .viewer-file-list-item:hover {
        background-color: #fbdea8
    }

.icon-file {
    width: 90px;
    height: 90px;
    background-size: 100%;
    margin: 0 auto 5px;
}

.icon-pdf {
    background: url(/images/file-icon-pdf.png) no-repeat center;
}

.icon-word {
    background: url(/images/file-icon-doc.png) no-repeat center;
}

.icon-xls {
    background: url(/images/file-icon-xls.png) no-repeat center;
}

.icon-ppt {
    background: url(/images/file-icon-ppt.png) no-repeat center;
}

.icon-txt {
    background: url(/images/file-icon-txt.png) no-repeat center;
}

.icon-xml {
    background: url(/images/file-icon-xml.png) no-repeat center;
}

.icon-zip {
    background: url(/images/file-icon-zip.png) no-repeat center;
}

.icon-genericfile {
    background: url(/images/file-icon-file.png) no-repeat center;
}

.icon-img {
    background: url(/images/file-icon-img.png) no-repeat center;
}

.prog-main {
    display: flex !important;
}

    .prog-main .icon-file {
        width: 40px;
        height: 50px;
        background-size: 100%;
        margin: 0 5px 0 2px;
    }

.prog-bar {
    width: 1px;
    flex-grow: 1;
}

.dropzone .dz-preview .prog-bar .dz-details {
    position: relative;
    top: 10px;
    left: 0;
    text-align: left;
    padding: 0 10px 0 0;
}

.dz-progress-wrap {
    display: flex;
    margin-top: 5px;
}

.dropzone .dz-preview .prog-bar .dz-details .dz-filename:hover span,
.dropzone .dz-preview .prog-bar .dz-details .dz-filename span {
    background: none;
    font-size: 12px;
    color: #6b6b6b;
    padding: 0;
    border: 0 none;
}

    .dropzone .dz-preview .prog-bar .dz-details .dz-filename span.data-name {
        display: inline-block;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        padding-right: 3px;
    }

    .dropzone .dz-preview .prog-bar .dz-details .dz-filename span.data-size {
        padding: 0 0 0 3px;
        border-left: 1px solid #999;
        border-radius: 0;
        width: 60px;
        display: inline-block;
    }

.dropzone .dz-preview .dz-progress .dz-upload {
    background: linear-gradient(to bottom, #f3d173, #f1ba18);
    margin: 1px;
}
/*.dropzone {
    border-style: dashed;
    background: url('../images/file-upload.jpg') no-repeat center;
    background-size: 18%;
}
.dropzone .dz-message .dz-button {
    display:none;
}*/
.vfi {
    width: 14px;
    font-size: 12px;
    color: #696969;
}

.fv-title {
    display: flex;
    align-items: center;
    border-top: 1px dashed #ccc;
    height: 24px;
}

.vf-download {
    width: 16px;
    margin-left: 5px;
    color: #676767;
}

.viewer-control {
    /*width: 100%;*/
    height: 20px;
    /*background-color: #ffffff;*/
    position: absolute;
    top: 8px;
    padding: 2px 10px;
    font-size: 12px;
    cursor: pointer;
    right: 0;
    z-index: 2;
}

    .viewer-control span {
        color: #676767;
    }

        .viewer-control span:hover {
            color: #000;
        }

.AppHeaderPanel {
    height: 0 !important;
}

.data-loader {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.1);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.file-prev-wrapper {
    width: 100%;
    height: 100%;
}

    .file-prev-wrapper pre {
        word-break: break-word;
        white-space: break-spaces;
    }

    .file-prev-wrapper #wordDocumentContent p {
        line-height: 20px;
        margin: 15px 0;
    }

    .file-prev-wrapper #wordDocumentContent h1,
    .file-prev-wrapper #wordDocumentContent h2,
    .file-prev-wrapper #wordDocumentContent h3,
    .file-prev-wrapper #wordDocumentContent h4,
    .file-prev-wrapper #wordDocumentContent h5,
    .file-prev-wrapper #wordDocumentContent h6 {
        font-weight: bold;
        margin: 0 0 20px 0;
    }

    .file-prev-wrapper #wordDocumentContent h1 {
        font-size: 24px;
    }

    .file-prev-wrapper #wordDocumentContent ul,
    .file-prev-wrapper #wordDocumentContent ol {
        margin: 12px 0;
        padding-left: 20px;
    }

    .file-prev-wrapper #wordDocumentContent a {
        color: blue;
        text-decoration: underline;
    }

    .file-prev-wrapper #wordDocumentContent strong {
        font-weight: bold;
    }

    .file-prev-wrapper #wordDocumentContent em {
        font-style: italic;
    }

    .file-prev-wrapper #wordDocumentContent img {
        max-width: 100%;
        height: auto;
        display: block;
        margin: 20px 0;
        width: auto;
    }

    .file-prev-wrapper table#excelDataTable {
        border-collapse: collapse;
        width: 100%;
    }

        .file-prev-wrapper table#excelDataTable th,
        .file-prev-wrapper table#excelDataTable td {
            border: 1px solid #ddd;
            padding: 4px;
            text-align: left;
            font-size: 12px;
        }

        .file-prev-wrapper table#excelDataTable th {
            background-color: #f2f2f2;
        }

    .file-prev-wrapper #wordDocumentContent img {
        max-width: 100%;
        height: auto;
        display: block;
        margin: 20px 0;
        width: auto;
    }
    /* Apply basic styles to the entire table */
    .file-prev-wrapper #wordDocumentContent table {
        border-collapse: collapse;
        width: 100%;
    }

    /* Apply styles to table headers (th) */
    .file-prev-wrapper #wordDocumentContent th {
        background-color: #f2f2f2;
        border: 1px solid #dddddd;
        padding: 8px;
        text-align: left;
    }

    /* Apply styles to table cells (td) */
    .file-prev-wrapper #wordDocumentContent td {
        border: 1px solid #dddddd;
        padding: 8px;
    }

    /* Alternate row background color */
    .file-prev-wrapper #wordDocumentContent tr:nth-child(even) {
        background-color: #f2f2f2;
    }
    /* Apply styles to unordered (bulleted) lists */
    .file-prev-wrapper #wordDocumentContent ul {
        list-style-type: disc;
        margin-left: 20px;
    }

    /* Apply styles to ordered (numbered) lists */
    .file-prev-wrapper #wordDocumentContent ol {
        list-style-type: decimal;
        margin-left: 20px;
    }

    /* Apply styles to list items */
    .file-prev-wrapper #wordDocumentContent li {
        margin-bottom: 6px;
    }

    /* Apply styles to bold text */
    .file-prev-wrapper #wordDocumentContent strong {
        font-weight: bold;
    }

    /* Apply styles to italic text */
    .file-prev-wrapper #wordDocumentContent em {
        font-style: italic;
    }

    /* Apply styles to underlined text */
    .file-prev-wrapper #wordDocumentContent u {
        text-decoration: underline;
    }
    /* Apply styles to links */
    .file-prev-wrapper #wordDocumentContent a {
        color: #007bff;
        text-decoration: underline;
    }

        /* Apply styles to visited links */
        .file-prev-wrapper #wordDocumentContent a:visited {
            color: # purple;
        }
    /* Apply styles to blockquotes */
    .file-prev-wrapper #wordDocumentContent blockquote {
        margin: 0;
        padding: 1em;
        border-left: 4px solid #ddd;
    }
    /* Apply styles to code blocks */
    .file-prev-wrapper #wordDocumentContent pre {
        background-color: #f4f4f4;
        padding: 1em;
        overflow: auto;
    }

    /* Apply styles to inline code */
    .file-prev-wrapper #wordDocumentContent code {
        font-family: monospace;
    }
    /* Apply styles to horizontal lines */
    .file-prev-wrapper #wordDocumentContent hr {
        border: none;
        border-top: 1px solid #ccc;
        margin: 1em 0;
    }
    /* Apply styles to superscript text */
    .file-prev-wrapper #wordDocumentContent sup {
        vertical-align: super;
        font-size: smaller;
    }

    /* Apply styles to subscript text */
    .file-prev-wrapper #wordDocumentContent sub {
        vertical-align: sub;
        font-size: smaller;
    }
    /* Apply styles to nested lists */
    .file-prev-wrapper #wordDocumentContent ul.nested {
        list-style-type: square;
        margin-left: 20px;
    }

        .file-prev-wrapper #wordDocumentContent ul.nested ul {
            list-style-type: circle;
            margin-left: 20px;
        }

            .file-prev-wrapper #wordDocumentContent ul.nested ul ul {
                list-style-type: disc;
                margin-left: 20px;
            }

    /* Apply styles to lists with custom markers */
    .file-prev-wrapper #wordDocumentContent ul.custom {
        list-style-type: none;
    }

        .file-prev-wrapper #wordDocumentContent ul.custom li::before {
            content: "➜"; /* Use any custom marker here */
            margin-right: 6px;
        }
    /* Style the entire table of contents */
    .file-prev-wrapper #wordDocumentContent table-of-contents {
        list-style: none;
        margin: 0;
        padding: 0;
        font-family: Arial, sans-serif;
        font-size: 14px;
    }

        /* Style individual TOC items */
        .file-prev-wrapper #wordDocumentContent table-of-contents li {
            margin-bottom: 5px;
        }

        /* Style links in TOC items */
        .file-prev-wrapper #wordDocumentContent table-of-contents a {
            text-decoration: none;
            color: #333; /* Dark text color */
            display: block;
            transition: color 0.3s ease-in-out;
        }

        /* Indent sub-level TOC items */
        .file-prev-wrapper #wordDocumentContent table-of-contents li ul {
            margin-left: 15px;
        }

        /* Highlight on hover */
        .file-prev-wrapper #wordDocumentContent table-of-contents a:hover {
            color: #007bff; /* Blue link color on hover */
        }

.viewer-detail-wrap {
    /* width: 350px; */
    width: auto;
    margin: 0 0 0 78px;
    padding: 0;
    border: 0;
    color: green;
    font-size: 9px;
    cursor: pointer;
    display: inline-block;
    position: relative;
    bottom: 1px;
    line-height: 12px;
}

.cloud-icon-green {
    display: none !important;
    float: right;
    margin-right: -6px;
    margin-top: -5px;
    font-size: 12px;
    color: green;
}

.cloud-icon-red {
    display: none !important;
    font-size: 9px !important;
    color: #ce0101;
}

.viewer-detail-wrap.show {
    border: 2px solid #ccc;
    margin: 0 0 0 53px;
    bottom: 0;
}

.vd-txt {
    text-align: center;
    line-height: 10px;
}

.vd-details {
    display: none;
    padding: 0 5px 2px;
}

.viewer-detail-wrap.active .vd-details,
.viewer-detail-wrap.show .vd-details {
    display: block;
}

.viewer-block {
    border-bottom: 2px solid #676767;
    padding: 5px 0;
}

.doc-lable-2 {
    margin-left: 10px;
}

.doc-lable-2-detail {
    margin-left: 70px;
}

.keyword-inactive {
    display: none;
}

.load-more {
    text-align: center;
    font-size: 12px;
    display: none !important;
}

.load-more-span {
    text-align: center;
    font-size: 12px;
    text-decoration: underline;
    cursor: pointer;
}

.load-more-pg {
    text-align: center;
    font-size: 12px;
}

.load-more-pg-span {
    text-align: center;
    font-size: 12px;
    text-decoration: underline;
    cursor: pointer;
}

.page-active {
    font-weight: bold;
}

.vw-inactive {
    pointer-events: none;
    opacity: 0.3;
}

.fa-regular.fa-circle-xmark.close-viewer-panel {
    font-size: 15px; /* Set this to your preferred size */
}

    .fa-regular.fa-circle-xmark.close-viewer-panel:hover {
        color: red;
        cursor: pointer
    }

.context-menu-active {
    display:block !important;
}
.docx-wrapper footer {
    display:none;
}


.context-menu {
    position: absolute;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 2px;
    box-shadow: 0px 0px 5px #888;
    z-index: 10000; /* Ensure it's on top of other elements */
}

    .context-menu ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

        .context-menu ul li {
            cursor: pointer;
            padding: 2px;
            font-size: 10px;
        }

            .context-menu ul li:hover {
                background-color: #f0f0f0;
            }